#block-weathersystemwidedisplay1 {
    position: absolute;
    top: 0px;
    right: 0px;
    color: #23365a;
    z-index: 2;
    display: none;
}

#block-weathersystemwidedisplay1 p {
    display: none;
}

#block-weathersystemwidedisplay1 .weather > div {
    float: right !important;
    margin: 1px 0px 0px 14px !important;
}

#block-weathersystemwidedisplay1 .weather-image {
    width: 50px;
    height: 50px;
    background-position: center;
}